---

- name: "Check whether all C wrapper modules are installed"
  command: "{{ aedir_python }} -c 'import ldap0, psutil'"
  ignore_errors: yes
  when: aedir_pip_install
  register: ldap0_installed

- name: "Install C compiler packages on {{ lsb_id }}"
  yum:
    name:
      - gcc
      - openssl-devel
      - cyrus-sasl-devel
      - openldap-devel
      - "{{ 'python3-devel' if ansible_lsb.major_release == '7' else 'platform-python-devel' }}"
      - libffi-devel
    state: present
    update_cache: no
  when: aedir_pip_needs_compiler==True and ldap0_installed.rc != 0

- name: "Install base packages on {{ lsb_id }}"
  yum:
    name:
      - python3-setuptools
      - python3-pip
    state: present
    update_cache: no
  notify:
    - restart ae-dir-pwd
    - restart hotp_validator
    - restart oathenroll
    - restart bind_proxy
    - restart web2ldap

- name: "AE-DIR tools installation in virtualenv {{ aedir_prefix }}"
  include_tasks: "aedir_tools_venv.yml"

- name: "Uninstall C compiler packages on {{ lsb_id }}"
  yum:
    name:
      - gcc
      - openssl-devel
      - cyrus-sasl-devel
      - openldap-devel
      - "{{ 'python3-devel' if ansible_lsb.major_release == '7' else 'platform-python-devel' }}"
      - libffi-devel
    state: absent
    autoremove: yes
    update_cache: no
